<?php

namespace App\Entity;

use App\Repository\SubnetRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: SubnetRepository::class)]
class Subnet extends AbstractEntity
{
    #[ORM\Column(length: 255)]
    private ?string $netmask = null;

    #[ORM\Column(length: 255)]
    private ?string $ipAddress = null;

    #[ORM\Column(length: 255)]
    private ?string $nextServer = null;

    #[ORM\Column(length: 255)]
    private ?string $bootFileName = null;

    public function getNetmask(): ?string
    {
        return $this->netmask;
    }

    public function setNetmask(string $netmask): static
    {
        $this->netmask = $netmask;

        return $this;
    }

    public function getIpAddress(): ?string
    {
        return $this->ipAddress;
    }

    public function setIpAddress(string $ipAddress): static
    {
        $this->ipAddress = $ipAddress;

        return $this;
    }

    public function getNextServer(): ?string
    {
        return $this->nextServer;
    }

    public function setNextServer(string $nextServer): static
    {
        $this->nextServer = $nextServer;

        return $this;
    }

    public function getBootFileName(): ?string
    {
        return $this->bootFileName;
    }

    public function setBootFileName(string $bootFileName): static
    {
        $this->bootFileName = $bootFileName;

        return $this;
    }
}
